#splash-screen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #fff;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 9999;
    opacity: 1;
    pointer-events: auto;
    transition: opacity 0.25s ease;

    &.saindo {
        opacity: 0;
    }

    &.oculto {
        z-index: -1;
        pointer-events: none;
    }

    img {
        width: 100%;
        max-width: 275px;
    }
}

#splash-logo {
    opacity: 1;
    transition: opacity 0.3s ease;

    &.saindo {
        opacity: 0;
    }
}

#conteudo {
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.05s ease;

    &.visivel {
        opacity: 1;
        pointer-events: auto;
    }
}

#auth-container {
    border-radius: var(--radius);
    width: 100%;
    max-width: 500px;
}

#form-login, #form-registro, #form-recuperacao, #recuperacao-container {
    display: none;

    &.ativo {
        display: flex;
    }
}

#mensagem:empty, #form-mensagem:empty {
    display: none;
}

#logo {
    width: 100px;
}
